# Method: projects.locations.datasetConfigs.create

Creates a dataset configuration in a given project for a given location.

### HTTP request

`POST https://storageinsights.googleapis.com/v1/{parent=projects/*/locations/*}/datasetConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Value for parent. |

### Query parameters

| Parameters ||
|---|---|
| `datasetConfigId` | `string` Required. ID of the requesting object. If auto-generating ID is enabled on the server-side, remove this field and `datasetConfigId` from the method_signature of Create RPC. Note: The value should not contain any hyphens. |
| `requestId` | `string` Optional. A unique identifier for your request. Specify the request ID if you need to retry the request. If you retry the request with the same ID within 60 minutes, the server ignores the request if it has already completed the original request. For example, if your initial request times out and you retry the request using the same request ID, the server recognizes the original request and does not process the new request. The request ID must be a valid UUID and cannot be a zero UUID (00000000-0000-0000-0000-000000000000). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.datasetConfigs#DatasetConfig`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `storageinsights.datasetConfigs.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).